<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/components/View/MyAccounts/index.vue</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../../prettify.css" />
    <link rel="stylesheet" href="../../../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../../../index.html">all files</a> / <a href="index.html">src/components/View/MyAccounts/</a> index.vue
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">5.88% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>1/17</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/8</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/7</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">5.88% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>1/17</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&lt;template&gt;
  &lt;div&gt;
    &lt;div class="content-block"&gt;
      &lt;div class="container"&gt;
        &lt;div class="margin-top-50"&gt;&lt;/div&gt;
        &lt;div class="row"&gt;
          &lt;div class="columns nine central-column my-accounts"&gt;
            &lt;div class="content" style="position: relative"&gt;
              &lt;h3 class="main-header"&gt;Мои счета&lt;/h3&gt;
              &lt;!--&lt;img v-if="$store.getters.getAccountsStatus === 'pending'" src="/static/img/loader-temp.gif"&gt;--&gt;
              &lt;!--&lt;loader v-if="$store.getters.getAccountsStatus === 'pending'"&gt;&lt;/loader&gt;--&gt;
              &lt;div v-show="requestStatus === 'pending' || requestStatus === 'firstLoad'" class="testloader"&gt;&lt;/div&gt;
              &lt;template v-if="$store.getters.getAccountsStatus !== 'firstLoad'"&gt;
                  &lt;div class="white-block"&gt;
                    &lt;div class="padding"&gt;
                      &lt;h3&gt;Основной счет&lt;/h3&gt;
                    &lt;/div&gt;
                    &lt;hr&gt;
                    &lt;div :class="{blinking: requestStatus === 'primary-is-changed'}"&gt;
                      &lt;card :cardWithAttr="cardsWithAttr.find(({block}) =&gt; block === 'main')"&gt;&lt;/card&gt;
                    &lt;/div&gt;
                  &lt;/div&gt;
                &lt;div class="white-block"&gt;
                  &lt;div class="padding"&gt;
                    &lt;h3&gt;Мои карты&lt;/h3&gt;
                    &lt;button @click="$modal.show('new-card')" class="header-button white"&gt;Привязать новую карту&lt;/button&gt;
                  &lt;/div&gt;
                  &lt;hr&gt;
                  &lt;card v-for="cardWithAttr in cardsWithAttr.filter(({block}) =&gt; block === 'secondary')"
                        :key="cardWithAttr.card.id"
                        :cardWithAttr="cardWithAttr" &gt;&lt;/card&gt;
                &lt;/div&gt;
                &lt;div class="white-block"&gt;
                  &lt;div class="padding"&gt;
                    &lt;h3&gt;Другие каналы выдачи&lt;/h3&gt;
                    &lt;button @click="$modal.show('new-wallet')" class="header-button white"&gt;Привязать новый кошелек&lt;/button&gt;
                  &lt;/div&gt;
                  &lt;hr&gt;
                  &lt;card v-for="cardWithAttr in cardsWithAttr.filter(({block}) =&gt; block === 'additional')"
                        :key="cardWithAttr.card.id"
                        :cardWithAttr="cardWithAttr" &gt;&lt;/card&gt;
                &lt;/div&gt;
              &lt;/template&gt;
              &lt;error-block :errors="errors"&gt;&lt;/error-block&gt;
              &lt;div ref="errorBlock"&gt;&lt;/div&gt;
            &lt;/div&gt;
          &lt;/div&gt;
          &lt;personal-stake-block&gt;&lt;/personal-stake-block&gt;
          &lt;new-wallet&gt;&lt;/new-wallet&gt;
          &lt;new-card&gt;&lt;/new-card&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;
    &lt;delete-account&gt;&lt;/delete-account&gt;
  &lt;/div&gt;
&lt;/template&gt;
&nbsp;
&lt;script&gt;
  import Card from '@/components/View/MyAccounts/Card'
  import Loader from '@/components/View/Base/Loader'
  import DeleteAccount from './DeleteAccount'
  import ErrorHandleMixin from '@/components/View/Base/Mixins/ErrorHandleMixin'
  import ErrorBlock from '@/components/View/Base/Errors/ErrorBlock'
  import cardType from 'credit-card-type'
  import NewWallet from '@/components/Model/Elements/Modals/NewWallet'
  import NewCard from '@/components/Model/Elements/Modals/NewCard'
&nbsp;
  const getImgFromType = {
    1: (description) =<span class="fstat-no" title="function not covered" >&gt; {</span>
      const type <span class="cstat-no" title="statement not covered" >= cardType(description.slice(0, 3)</span>)
<span class="cstat-no" title="statement not covered" >      return type.length &gt; 0</span>
        ? type[0].type + '.png'
        : 'account.png'
    },
    2: () =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >&gt; 'contact.png</span></span>',
    3: () =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >&gt; 'yandex.png</span></span>',
    4: () =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >&gt; 'qiwi.png</span></span>'
  }
&nbsp;
  export default {
    name: 'my-accounts-index',
    data () {
<span class="cstat-no" title="statement not covered" >      return {</span>
      }
    },
    mixins: [
      ErrorHandleMixin
    ],
    components: {
      ErrorBlock,
      Card,
      Loader,
      DeleteAccount,
      NewWallet,
      NewCard,
    },
    computed: {
      cards: function (<span class="fstat-no" title="function not covered" >) {</span>
<span class="cstat-no" title="statement not covered" >        return this.$store.getters.getAccount</span>s
      },
      cardsWithAttr () {
<span class="cstat-no" title="statement not covered" >        console.log('MAKE THIS DIFFICULT CALCULATIONG'</span>)
<span class="cstat-no" title="statement not covered" >        return this.cards.map((card) =&gt; (</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >          {</span></span>
            card: card,
            block: card.isprimary ? 'main'
              : card.type === 1 ? 'secondary' : 'additional',
            editable: card.type === 1,
            deletable: !card.isprimary &amp;&amp; card.type === 1,
            img: getImgFromType[card.type](card.number)
          }))
      },
      requestStatus () {
<span class="cstat-no" title="statement not covered" >        return this.$store.getters.getAccountsStatu</span>s
      }
    },
    mounted () {
<span class="cstat-no" title="statement not covered" >      this.$store.dispatch('ACCOUNTS_GET').catch((error) =<span class="fstat-no" title="function not covered" >&gt; {</span></span>
<span class="cstat-no" title="statement not covered" >        this.$store.commit('SET_ERRORS', {name: 'Ошибка', message: 'Пришла ошибка с бэка', error}</span>)
<span class="cstat-no" title="statement not covered" >        this.$store.commit('ACCOUNTS_SET_STATUS', 'error'</span>)
      })
<span class="cstat-no" title="statement not covered" >      this.$modal.show('card-delete'</span>)
    },
    beforeMount () {
<span class="cstat-no" title="statement not covered" >      this.$store.commit('ACCOUNTS_SET_STATUS', 'firstLoad'</span>)
    }
  }
&lt;/script&gt;
&nbsp;
&lt;style scoped&gt;
  .padding {
    position: relative;
  }
&nbsp;
  .header-button {
    margin: 0;
    margin-right: 0px;
    position: absolute;
    top: 15px;
    right: 30px;
  }
&nbsp;
  .blinking {
    animation: blink .5s ease-in;
  }
&nbsp;
  @keyframes blink {
    0% {
      background-color: #6ac651;
    }
    100% {
      background-color: #fff;
    }
  }
&nbsp;
  .testloader {
    width: 100%;
    height: 100vh;
    left: 0px;
    top: 0px;
    position: absolute;
    background-image: url('/static/img/loader-50px.gif');
    background-repeat: no-repeat;
    background-position: 50% 50%;
    z-index: 100;
  }
&lt;/style&gt;
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../../../sorter.js"></script>
</body>
</html>
